/*
Capture patch <http://quakecapture.sourceforge.net/>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

// Avoid having to pull in many headers just to get qboolean:
typedef int qboolean_not_yet_declared;

// Hook to initialise console vars and commands
void CapturePatch_Init(void);

// Hook to allow batch capture to exit on finishing demo playback
void CapturePatch_OnStopPlayback(void);

// Hook to allow capture of video
void CapturePatch_OnUpdateScreen(void);

// Hook to allow capture of audio
void CapturePatch_OnTransferStereo16(void);

// Use an alternative calculation for GetSoundtime
qboolean_not_yet_declared CapturePatch_GetSoundtime(void);

// Check if we are capturing this frame
qboolean_not_yet_declared CapturePatch_IsActive(void);
